package org.linlinjava.jz.core.insurance.vo;

import javax.validation.constraints.NotBlank;

public class InsureExternalVo {
    @NotBlank(message = "来源不能为空")
    private String source;

    //@ApiModelProperty(value = "（qyb或hyx）权益包保200W传qyb，会员险保100W的传hyx", name = "goodType")
    @NotBlank(message = "商品类型不能为空")
    private String goodType;

    @NotBlank(message = "客户姓名不能为空")
    private String customerName;

    @NotBlank(message = "客户身份证不能为空")
    private String customerIdCard;

    //@ApiModelProperty(value = "客户手机号", name = "customerTel")
    @NotBlank(message = "客户手机号不能为空")
    private String customerTel;

    @NotBlank(message = "客户地址不能为空")
    private String customerAddress;

    @NotBlank(message = "保姆类型不能为空")
    private String serviceModel;

    //@ApiModelProperty(value = "省", name = "province")
    @NotBlank(message = "省份名称不能为空")
    private String province;

    //@ApiModelProperty(value = "城市", name = "city")
    @NotBlank(message = "城市名称不能为空")
    private String city;

    //@ApiModelProperty(value = "区", name = "area")
    @NotBlank(message = "区名称不能为空")
    private String area;

    @NotBlank(message = "省份编码不能为空")
    private String provinceCode;

    @NotBlank(message = "城市不能为空")
    private String cityCode;

    @NotBlank(message = "区域编码不能为空")
    private String areaCode;

    public void setCustomerAddress(String customerAddress) {
        this.customerAddress = customerAddress;
    }

    public void setCustomerIdCard(String customerIdCard) {
        this.customerIdCard = customerIdCard;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public void setCustomerTel(String customerTel) {
        this.customerTel = customerTel;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public void setGoodType(String goodType) {
        this.goodType = goodType;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public void setServiceModel(String serviceModel) {
        this.serviceModel = serviceModel;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getArea() {
        return area;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public String getCity() {
        return city;
    }

    public String getCustomerAddress() {
        return customerAddress;
    }

    public String getCustomerIdCard() {
        return customerIdCard;
    }

    public String getCityCode() {
        return cityCode;
    }

    public String getCustomerName() {
        return customerName;
    }

    public String getCustomerTel() {
        return customerTel;
    }

    public String getGoodType() {
        return goodType;
    }

    public String getProvince() {
        return province;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public String getServiceModel() {
        return serviceModel;
    }

    public String getSource() {
        return source;
    }
}
